## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanObjectStackCacheDefault< ObjectType > Class Template Reference

Inheritance diagram for XalanObjectStackCacheDefault< ObjectType >:

[legend]
Collaboration diagram for XalanObjectStackCacheDefault< ObjectType >:

[legend]
List of all members.

## Public Types

- typedef XalanObjectStackCache<
  ObjectType, DefaultCacheCreateFunctor<
  ObjectType >, DeleteFunctor<
  ObjectType >, DefaultCacheResetFunctor<
  ObjectType > > BaseClassType

## Public Member Functions

- XalanObjectStackCacheDefault (unsigned int initialListSize=0)

### template<class ObjectType>
class XalanObjectStackCacheDefault< ObjectType >

## Member Typedef Documentation

template<class ObjectType>
typedef XalanObjectStackCache<ObjectType, DefaultCacheCreateFunctor<ObjectType>, DeleteFunctor<ObjectType>, DefaultCacheResetFunctor<ObjectType> > XalanObjectStackCacheDefault< ObjectType >::BaseClassType

## Constructor & Destructor Documentation

template<class ObjectType>
XalanObjectStackCacheDefault< ObjectType >::XalanObjectStackCacheDefault | ( | unsigned int | initialListSize = 0 | ) | `[explicit]`

The documentation for this class was generated from the following file:

- XalanObjectStackCache.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.